=== debian/changelog ===
fq (0.0.5-1) unstable; urgency=medium

  [ Xentripetal ]
  * initial work for avro OCF files
  * Hook into registry, add codecs
  * Cleanup
  * Change avro codec to funcs
  * Regenerate docs
  * Cleanup for linting
  * Use existing scalar description helper
  * Initial pass on logical types
  * Undo change to doc/file.mp4. I have no idea how
    this got changed in the first place? Maybe some macos shenanigans.
  * cleanup some docs, change enum to mapper, error zigzag on more than 8 bytes
  * Update linting
  * Parse header using avro decoders. Still not certain
    this is the best idea. Will get opinions before finalizing.
  * Add test case with all data types

  [ Mattias Wadman ]
  * goreleaser: Use zip for macos
  * doc: Add macOS security notes and move supported format up a bit
  * id3v2: Should assert not validate magic
  * zip: Assert signature not validate
  * interp: Fix handling of group decode error from stdin
  * pcapng,fuzz: Fix infinite loop by fatal error on block length <= 0
  * mp4,fuzz: Fatal error on infinite sgpd box entries
  * mpeg_spu: Fatal error on infinite loop
  * fuzz: Fuzz all formats
  * interp: Use correct sym color
  * interp: Add grep_by/1 to recursively match using a filter
  * mp3: Decrease max sync seek length between frames to 4k

  [ bump ]
  * Update make-golangci-lint from 1.43.0 to 1.44.0
  * Update github-golangci-lint from 1.43.0 to 1.44.0

  [ Mattias Wadman ]
  * lint: Fix typeassert and case exhaustive warnings
  * github: Add basic issue template

  [ Joel Rangsmo ]
  * Polish of problem template and clarifying questions
  * Remove redudant question and fix typo

  [ Mattias Wadman ]
  * fq: Add arch and os to --version
  * doc: Use f($a; $b) instead of jq f/2 notation
  * decode,scalar: Add scalar.Str{Uint/Int/F}ToSym to parse numbers
  * interp: Cleanup display aliases, now: d, da, dd, dv, ddv
  * interp: Add Platform() method to OS interface
  * doc: Add per format documentation
  * doc,matroska: Fix filesname in example
  * doc,interp: Add some example usages to cli help
  * make: Cleanup some not very used targets
  * doc: Document display and some more jq hints
  * doc: More display alias leftover fixes
  * protobuf: Add note about sub message decoding
  * decode: Add scalars args to FieldRootBitBuf
  * doc: Color edges in diagram based on dest
  * bitio,decode: Refactor bitio usage and make buffer slicing more correct
  * bitio: Cleanup documentation a bit
  * mp4: Add video preview (pnot) and JPEG 2000 (jP) signatures
  * interp: Support force decode as -o force=true
  * doc: Add format links to format table
  * fuzz: List seed numbers and make it build again
  * decode: Rename LenFn() to LimitedFn, add FramedFn and document
  * asn1_ber: Add decoder
  * mp4: Add stz2 support
  * aac_frame: Only try decode object types we know about
  * interp: Add missing default opts for tovalue
  * asn1_ber: Add more doc and multiple outputs for frompem

  [ Xentripetal ]
  * Change tests to use new verbose syntax
  * Support snappy and deflate codecs
  * Fix lint

  [ Mattias Wadman ]
  * binary,decode,doc: Rename buffer to binary and add some documentation
  * bitio: More doc cleanup
  * bitio,doc: Even more cleanup
  * doc: Cleanup and add more decode value and binary documentation

  [ Xentripetal ]
  * Timestamps should be UTC
  * Cleanup snappy
  * Lint and add basic doc
  * Take heading off doc to match make doc format

  [ Thushan Fernando ]
  * Adds Windows Scoop instructions for fq.

  [ Mattias Wadman ]
  * doc: Add more license details

  [ Xentripetal ]
  * Dates need to specify UTC too
  * Comment on snappy decompression

  [ Mattias Wadman ]
  * interp: Refactor radix* into toradix($base)/fromradix($base)
  * interp: Use absolute path in errors

  [ bump ]
  * Update docker-golang from 1.17.6 to 1.17.7
  * Update github-go-version from 1.17.6, 1.17.6 to 1.17.7

  [ Mattias Wadman ]
  * interp: Add paste function to allow pasting text into REPL etc
  * repl: Fix completion of non-underscore extkeys
  * repl,interp: Make stdio work during completion
  * fuzz: Make it compile again and run one format per fuzz
  * gojq: Rebase fq branch
  * mpeg_spu: Fatal error on unknown cmd
  * doc: Add inital decoder API documentation

  [ Xentripetal ]
  * simplify scalar usage
  * make doc

  [ Mattias Wadman ]
  * doc: Unbreak formats_digaram.jq since radix change
  * bump: Add snappy config
  * doc: Add snappy license
  * doc: More decode API details and polish
  * doc: Add CHANGES.md documenting release changes
  * fq: Update version to 0.0.5

  [ Daniel Milde ]
  * d/control: fq conflicts with nq (Closes: 1005961)

 -- Daniel Milde <daniel@milde.cz>  Sat, 19 Feb 2022 23:12:58 +0100

fq (0.0.4-2) unstable; urgency=medium

  * Team upload.
  * Re-upload as source only

 -- Stephen Gelman <ssgelm@debian.org>  Thu, 17 Feb 2022 14:32:22 -0600

fq (0.0.4-1) unstable; urgency=medium

  * Initial release (Closes: 1002452)

 -- Daniel Milde <daniel@milde.cz>  Sat, 22 Jan 2022 00:38:15 +0100
