=== debian/control ===
Source: fq
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Daniel Milde <daniel@milde.cz>
Section: utils
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-golang-snappy-dev,
               golang-github-google-gopacket-dev,
               golang-github-mitchellh-mapstructure-dev,
               golang-github-pmezard-go-difflib-dev,
               golang-golang-x-text-dev,
               golang-github-wader-readline-dev,
               golang-github-wader-gojq-dev,
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/fq
Vcs-Git: https://salsa.debian.org/go-team/packages/fq.git
Homepage: https://github.com/wader/fq
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/wader/fq

Package: fq
Architecture: any
Conflicts: nq
Depends: ${misc:Depends},
         ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: jq for binary formats (program)
 Tool, language and decoders for inspecting binary data.
 .
 In most cases fq works the same way as jq but instead of reading JSON it
 reads binary data. The result is a JSON compatible structures where each
 value has a bit range, symbolic interpretations and know how to be
 presented in a useful way.
