=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_INSTALL_EXTRA := ./dev/x264sei.jq \
	./dev/editlist.jq \
	./dev/format_summary.jq \
	./dev/snippets.jq \
	./doc/formats_table.jq \
	./doc/formats_list.jq \
	./doc/formats_diagram.jq \
	./format/bencode/bencode.jq \
	./format/cbor/cbor.jq \
	./format/matroska/matroska.jq \
	./format/mp4/mp4.jq \
	./format/asn1/asn1_ber.jq \
	./format/msgpack/msgpack.jq \
	./format/bson/bson.jq \
	./pkg/interp/internal.jq \
	./pkg/interp/query_test.jq \
	./pkg/interp/match.jq \
	./pkg/interp/assert.jq \
	./pkg/interp/decode.jq \
	./pkg/interp/funcs.jq \
	./pkg/interp/grep.jq \
	./pkg/interp/options.jq \
	./pkg/interp/repl.jq \
	./pkg/interp/args.jq \
	./pkg/interp/query.jq \
	./pkg/interp/funcs_test.jq \
	./pkg/interp/binary.jq \
	./pkg/interp/formats.jq \
	./pkg/interp/args_test.jq \
	./pkg/interp/interp.jq

export DH_GOLANG_EXCLUDES := format/matroska/ebml/gen dev doc

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

override_dh_auto_install:
	dh_auto_install -- --no-source
