## fq 0.0.6

=== debian/changelog ===
fq (0.0.6-1ubuntu0.1) kinetic-security; urgency=medium

  * No-change rebuild for golang-golang-x-text

 -- Eduardo Barretto <eduardo.barretto@canonical.com>  Mon, 13 Feb 2023 14:47:07 +0100

fq (0.0.6-1) unstable; urgency=medium

  [ Mattias Wadman ]
  * interp: Move _is_decode_value to jq
  * doc: Improve project description
  * dev: Add .jq-lsp.jq to add additional builtins for jq-lsp
  * doc,asn1_ber: Add more documentation
  * doc: Forgot make doc
  * decode: Some cleanup

  [ bump ]
  * Update make-golangci-lint from 1.44.0 to 1.44.1
  * Update github-golangci-lint from 1.44.0 to 1.44.1

  [ Mattias Wadman ]
  * doc: Improve and fix some typos
  * repl: Speedup multi input to sub-repl

  [ bump ]
  * Update make-golangci-lint from 1.44.1 to 1.44.2
  * Update github-golangci-lint from 1.44.1 to 1.44.2

  [ Mattias Wadman ]
  * repl: Add comments and query from/to  helper
  * doc: Add href in supported format list
  * interp: Move opts eval to options.jq

  [ siddik.acil ]
  * macho: barebones decoder impl
  * macho: magicToHex to scalar.Hex
  * macho: add nolint suppression to const defs
  * macho: little-endian to little_endian
  * macho: change registry description
  * macho: use FieldUTF8NullFixedLen
  * macho: adopt plural-singular scheme for FieldStructArrayLoop
  * macho: add scalar.Hex mapper to addr fields
  * macho: use FieldUTF8NullFixedLen for segname
  * macho: generate doc via make doc
  * macho: fix FieldUTF8NullFixedLen for segname
  * macho: add cpuSubTypes
  * macho: make actual
  * macho: discard lc_ and lowercase command names
  * macho: ntools fix LC_MAIN fix
  * macho: add darwin_amd64 tests
  * macho: mach_header_X to header
  * macho: fix null in segname sectname
  * macho: add fqtest actualization
  * macho: basic impl for ar and fat file parsing
  * macho: reuse ar decoder
  * macho: linting changes for ar parse
  * macho: expand filetypes and header flags
  * macho: parse segment section flags
  * macho: refactor prebound_dylib
  * macho: delete ar decoder code
  * macho: add section type parsing
  * macho: update tests
  * macho: change parseFlags impl for ordered results
  * macho: timestamp mapper
  * macho: thread state visualization
  * macho: simplify thread state decoder
  * macho: update test cases v to dv
  * macho: TS string to UTC
  * macho: review fixes
  * macho: CPU_SUBTYPE_MULTIPLE and TYPE_ALL are 0xff_ff_ff_ff
  * fixup! macho: CPU_SUBTYPE_MULTIPLE and TYPE_ALL are 0xff_ff_ff_ff
  * macho: fix fat header decode bug
  * macho: introduce arm and fat tests
  * macho: handle unknown lc_commands better
  * macho: parse flags individually
  * macho: review fixes
  * macho: remake docs

  [ Mattias Wadman ]
  * fuzz: Include more testdata seed files
  * interp: Skip redundant includes
  * interp: Make _finally handle null, call fin once and last

  [ siddik.acil ]
  * macho: add basic docs
  * macho: docs review changes

  [ Mattias Wadman ]
  * doc: Regenerate after macho merge
  * doc: Tweak format diagram
  * mp4: Add colr box support
  * mp4: Reformat and use dv in test
  * repl,interp: Refactor repl and slurp
  * gojq: Rebase fq fork and add support for non-10 base for tonumber
  * doc: Regenerate and fix macho section size
  * interp: Color parse in jq
  * interp,repl: Add path and value colors to prompt
  * interp: Rework formats and options help
  * repl: Correct error arrow position in color mode
  * interp: Make help output less wide

  [ bump ]
  * Update docker-golang from 1.17.7 to 1.17.8

  [ Mattias Wadman ]
  * test: Make expect cli test more robust
  * format: Simplify torepr, no need for _f function
  * doc: Add fq bts2022 presentation
  * interp: Cleanup binary regexp overloading and add explode
  * doc: Add bts2022 video
  * interp: Fix interrupt regression after query rewrite refactor
  * interp,repl: Improved eval and output interrupt
  * doc: Add 0.0.6 changes
  * fq: Update version to 0.0.6

 -- Daniel Milde <daniel@milde.cz>  Tue, 22 Mar 2022 22:09:19 +0100
