=== debian/changelog ===
fq (0.2.0-1) unstable; urgency=medium

  * New upstream release

 -- Daniel Milde <daniel@milde.cz>  Fri, 06 Jan 2023 20:50:20 +0100

fq (0.0.9-2) unstable; urgency=medium

  * Added dependencies (Closes: 1023153)

 -- Daniel Milde <daniel@milde.cz>  Mon, 31 Oct 2022 22:05:12 +0100

fq (0.0.9-1) unstable; urgency=medium

  * New upstream release
  * d/control: added new dependencies
  * d/rules: more files to install
  * d/control: gojq version
  * d/copyright: file moved

 -- Daniel Milde <daniel@milde.cz>  Sat, 29 Oct 2022 20:57:05 +0200
