=== debian/changelog ===
fq (0.3.0-1) unstable; urgency=medium

  * New upstream release

 -- Daniel Milde <daniel@milde.cz>  Sun, 26 Feb 2023 22:18:46 +0100
