=== debian/control ===
--- 
+++ 
@@ -13,7 +13,14 @@
                golang-github-pmezard-go-difflib-dev,
                golang-golang-x-text-dev,
                golang-github-wader-readline-dev,
-               golang-github-wader-gojq-dev,
+               golang-github-wader-gojq-dev (>= 0.0~git20220822.64fe65a-1),
+               golang-github-creasty-defaults-dev,
+               golang-github-gopacket-gopacket-dev,
+               golang-github-mitchellh-copystructure-dev,
+               golang-golang-x-exp-dev,
+               golang-github-burntsushi-toml-dev,
+               golang-golang-x-crypto-dev,
+               golang-github-gomarkdown-markdown-dev,
 Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/fq
 Vcs-Git: https://salsa.debian.org/go-team/packages/fq.git
