=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_INSTALL_EXTRA := ./dev/x264sei.jq \
	./dev/editlist.jq \
	./dev/format_summary.jq \
	./dev/snippets.jq \
	./doc/formats.jq \
	./doc/formats_diagram.jq \
	./format/bencode/bencode.jq \
	./format/yaml/yaml.jq \
	./format/cbor/cbor.jq \
	./format/matroska/matroska.jq \
	./format/xml/xml.jq \
	./format/xml/html.jq \
	./format/crypto/pem.jq \
	./format/crypto/hash.jq \
	./format/text/encoding.jq \
	./format/toml/toml.jq \
	./format/mp4/mp4.jq \
	./format/asn1/asn1_ber.jq \
	./format/math/radix.jq \
	./format/msgpack/msgpack.jq \
	./format/bson/bson.jq \
	./format/markdown/markdown.jq \
	./format/csv/csv.jq \
	./format/apple/bookmark/apple_bookmark.jq \
	./format/apple/bplist/bplist.jq \
	./format/apple/bplist/ns_keyed_archiver.jq \
	./format/json/jsonl.jq \
	./format/json/jq.jq \
	./format/json/json.jq \
	./pkg/interp/internal.jq \
	./pkg/interp/init.jq \
	./pkg/interp/.jq-lsp.jq \
	./pkg/interp/help.jq \
	./pkg/interp/decode.jq \
	./pkg/interp/format_func.jq \
	./pkg/interp/funcs.jq \
	./pkg/interp/jqtest.jq \
	./pkg/interp/format_decode.jq \
	./pkg/interp/grep.jq \
	./pkg/interp/options.jq \
	./pkg/interp/repl.jq \
	./pkg/interp/args.jq \
	./pkg/interp/eval.jq \
	./pkg/interp/query.jq \
	./pkg/interp/binary.jq \
	./pkg/interp/ansi.jq \
	./pkg/interp/interp.jq \
	./pkg/interp/registry_include.jq \
	./format/bencode/bencode.md \
	./format/rtmp/testdata/README.md \
	./format/rtmp/rtmp.md \
	./format/cbor/cbor.md \
	./format/matroska/matroska.md \
	./format/bits/bits.md \
	./format/bits/bytes.md \
	./format/zip/zip.md \
	./format/xml/html.md \
	./format/xml/xml.md \
	./format/wasm/wasm.md \
	./format/avro/avro_ocf.md \
	./format/mp4/mp4.md \
	./format/asn1/asn1_ber.md \
	./format/asn1/testdata/README.md \
	./format/pcap/pcap.md \
	./format/protobuf/protobuf.md \
	./format/msgpack/msgpack.md \
	./format/bson/bson.md \
	./format/markdown/markdown.md \
	./format/markdown/testdata/test.md \
	./format/tzif/tzif.md \
	./format/flac/testdata/README.md \
	./format/csv/csv.md \
	./format/riff/avi.md \
	./format/apple/bookmark/apple_bookmark.md \
	./format/apple/bplist/bplist.md \
	./format/apple/macho/macho.md

export DH_GOLANG_EXCLUDES := format/matroska/ebml/gen dev/ doc/
export DH_GOLANG_BUILDPKG := github.com/wader/fq

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

override_dh_auto_install:
	dh_auto_install -- --no-source
