## fq 0.9.0

=== Makefile ===
--- 
+++ 
@@ -36,14 +36,14 @@
 	cat cover.out.html | grep '<option value="file' | sed -E 's/.*>(.*) \((.*)%\)<.*/\2 \1/' | sort -rn
 
 doc: always
-doc: $(wildcard doc/*.svg)
+doc: $(wildcard doc/*.svg.sh)
 doc: $(wildcard *.md doc/*.md)
 
 %.md: fq
 	@doc/mdsh.sh ./fq $@
 
-doc/%.svg: fq
-	(cd doc ; ../$@.sh ../fq) | go run github.com/wader/ansisvg@master > $@
+doc/%.svg.sh: fq
+	(cd doc ; ../$@ ../fq) | go run github.com/wader/ansisvg@master > $(@:.svg.sh=.svg)
 
 doc/formats.svg: fq
 	@# ignore graphviz version as it causes diff when nothing has changed
@@ -61,7 +61,7 @@
 lint: always
 # bump: make-golangci-lint /golangci-lint@v([\d.]+)/ git:https://github.com/golangci/golangci-lint.git|^1
 # bump: make-golangci-lint link "Release notes" https://github.com/golangci/golangci-lint/releases/tag/v$LATEST
-	go run github.com/golangci/golangci-lint/cmd/golangci-lint@v1.51.0 run
+	go run github.com/golangci/golangci-lint/cmd/golangci-lint@v1.55.2 run
 
 depgraph.svg: always
 	go run github.com/kisielk/godepgraph@latest github.com/wader/fq | dot -Tsvg -o godepgraph.svg
@@ -85,14 +85,14 @@
 # Usage: make fuzz GROUP=mp4 # fuzz a group (each format is a group also)
 # TODO: as decode recovers panic and "repanics" unrecoverable errors this is a bit hacky at the moment
 # Retrigger:
-# try to decode crash with all formats in order to see which one paniced:
+# try to decode crash with all formats in order to see which one panicked:
 # cat format/testdata/fuzz/FuzzFormats/... | go run dev/fuzzbytes.go | go run . -d bytes '. as $b | formats | keys[] as $f | $b | decode($f)'
 # convert crash into raw bytes:
 # cat format/testdata/fuzz/FuzzFormats/... | go run dev/fuzzbytes.go | fq -d bytes to_base64
 # fq -n '"..." | from_base64 | ...'
 fuzz: always
 # in other terminal: tail -f /tmp/repanic
-	FUZZTEST=1 REPANIC_LOG=/tmp/repanic go test -v -run Fuzz -fuzz=Fuzz ./format/
+	FUZZTEST=1 go test -v -run Fuzz -fuzz=Fuzz ./format/
 
 # usage: make release VERSION=0.0.1
 # tag forked dependeces for history and to make then stay around
