=== debian/changelog ===
fq (0.9.0-2) unstable; urgency=medium

  * Team upload
  * Use dh-sequence-golang instead of dh-golang and --with=golang
  * Update versioned dependencies as per go.mod
  * Replace Built-Using field with Static-Built-Using

 -- Anthony Fok <foka@debian.org>  Wed, 20 Dec 2023 11:39:10 -0700

fq (0.9.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release (Closes: #1057403)

 -- Stephen Gelman <ssgelm@debian.org>  Fri, 15 Dec 2023 13:51:16 -0600
