=== debian/control ===
Source: fq
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Daniel Milde <daniel@milde.cz>
Section: utils
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any (>= 2:1.18~),
               golang-github-burntsushi-toml-dev (>= 1.3.2),
               golang-github-creasty-defaults-dev (>= 1.7.0),
               golang-github-golang-snappy-dev,
               golang-github-gomarkdown-markdown-dev,
               golang-github-gopacket-gopacket-dev (>= 1.2.0),
               golang-github-mitchellh-copystructure-dev,
               golang-github-mitchellh-mapstructure-dev,
               golang-github-pmezard-go-difflib-dev,
               golang-github-wader-gojq-dev (>= 0.0~git20231105.2b6d9e2),
               golang-github-wader-readline-dev (>= 0.0~git20230307.bcb7158),
               golang-golang-x-crypto-dev (>= 1:0.15.0),
               golang-golang-x-exp-dev (>= 0.0~git20230725.302865e),
               golang-golang-x-net-dev (>= 1:0.18.0),
               golang-golang-x-text-dev (>= 0.14.0),
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/fq
Vcs-Git: https://salsa.debian.org/go-team/packages/fq.git
Homepage: https://github.com/wader/fq
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/wader/fq

Package: fq
Architecture: any
Conflicts: nq
Depends: ${misc:Depends},
         ${shlibs:Depends}
Static-Built-Using: ${misc:Static-Built-Using}
Description: jq for binary formats (program)
 Tool, language and decoders for inspecting binary data.
 .
 In most cases fq works the same way as jq but instead of reading JSON it
 reads binary data. The result is a JSON compatible structures where each
 value has a bit range, symbolic interpretations and know how to be
 presented in a useful way.
