=== debian/rules ===
--- 
+++ 
@@ -75,13 +75,21 @@
 	./format/riff/avi.md \
 	./format/apple/bookmark/apple_bookmark.md \
 	./format/apple/bplist/bplist.md \
-	./format/apple/macho/macho.md
+	./format/apple/macho/macho.md \
+	./format/caff/caff.md \
+	./format/luajit/luajit.md \
+	./format/moc3/moc3.md \
+	./format/opentimestamps/opentimestamps.md \
+	./format/postgres/pg_btree.md \
+	./format/postgres/pg_control.md \
+	./format/postgres/pg_heap.md \
+	./format/tls/tls.md
 
 export DH_GOLANG_EXCLUDES := format/matroska/ebml/gen dev/ doc/
 export DH_GOLANG_BUILDPKG := github.com/wader/fq
 
 %:
-	dh $@ --builddirectory=_build --buildsystem=golang --with=golang
+	dh $@ --builddirectory=_build --buildsystem=golang
 
 override_dh_auto_install:
 	dh_auto_install -- --no-source
